Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LoaderFileType Class Reference

This is the base class for a family of scene-graph file types that the Loader supports. More...

Inheritance diagram for LoaderFileType:

List of all members.

## Public Member Functions
string | getAdditionalExtensions ()
| Returns a space-separated list of extension, in addition to the one returned by get_extension(), that are recognized by this loader.
bool | getAllowDiskCache (LoaderOptions const options)
| Returns true if the loader flags allow retrieving the model from the on-disk bam cache (if it is enabled), false otherwise.
bool | getAllowRamCache (LoaderOptions const options)
| Returns true if the loader flags allow retrieving the model from the in-memory ModelPool cache, false otherwise.
string | getExtension ()
string | getName ()
bool | supportsCompressed ()
| Returns true if this file type can transparently load compressed files (with a .pz extension), false otherwise.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the base class for a family of scene-graph file types that the Loader supports.

Each kind of loader that's available should define a corresponding LoaderFileType object and register itself.

## Member Function Documentation

string getAdditionalExtensions | ( |  | ) |

Returns a space-separated list of extension, in addition to the one returned by get_extension(), that are recognized by this loader.

bool getAllowDiskCache | ( | LoaderOptions const | options | ) |

Returns true if the loader flags allow retrieving the model from the on-disk bam cache (if it is enabled), false otherwise.

bool getAllowRamCache | ( | LoaderOptions const | options | ) |

Returns true if the loader flags allow retrieving the model from the in-memory ModelPool cache, false otherwise.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedObject.

string getExtension | ( |  | ) |

string getName | ( |  | ) |

bool supportsCompressed | ( |  | ) |

Returns true if this file type can transparently load compressed files (with a .pz extension), false otherwise.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties